Subject: Re: [Bitcoin-development] Proposal: Encrypt bitcoin messages

From: Peter Todd <[email-masked]>
Date: Sat, 23 Aug 2014 18:51:38 -0400

On Sat, Aug 23, 2014 at 07:02:55PM +0000, Luke Dashjr wrote:
> On Saturday, August 23, 2014 6:44:15 PM Mike Hearn wrote:
> > > Not to mention encrypting basically non-sensitive inter-node traffic is
> > > almost completely worthless in providing anonymity anyway...
> > 
> > Recall that P2P connections carry Bloom filters too, which are not public
> > information.
> 
> As soon as you tell it to an unknown/public peer, it is public information.

Mike is correct here: It *might* be public information, and probably
won't be. We already can give weak assurance that it probably won't be
against many weaker attackers, simply because getting lots of IP
addresses is moderately expensive, and in the future additional methods
will be developed and deployed.

-- 
'peter'[:-1]@petertodd.org
0000000000000000239344fc532bbad8a679e3fc30e8900772523a10c4720a0c